com.atid.lib.module.barcode.ssi.type

## Enum QRInverse

- java.lang.Object
- - java.lang.Enum<QRInverse>
  - - com.atid.lib.module.barcode.ssi.type.QRInverse

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<QRInverse>

      public enum QRInverse
      extends java.lang.Enum<QRInverse>
      implements IEnumType

  This parameter sets the QR inverse decoder setting.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Inverse` the decoder decodes inverse QR bar codes only.
    `InverseAutodetect` the decoder decodes both regular and inverse QR bar codes.
    `Regular` the decoder decodes regular QR bar codes only.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static QRInverse` | `valueOf(int code)`
    `static QRInverse` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static QRInverse[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Regular

          public static final QRInverse Regular

      the decoder decodes regular QR bar codes only.

    - #### Inverse

          public static final QRInverse Inverse

      the decoder decodes inverse QR bar codes only.

    - #### InverseAutodetect

          public static final QRInverse InverseAutodetect

      the decoder decodes both regular and inverse QR bar codes.

  - ### Method Detail

    - #### values

          public static QRInverse[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QRInverse c : QRInverse.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QRInverse valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<QRInverse>`

    - #### valueOf

          public static QRInverse valueOf(int code)